osmo_gad_ell_point_unc_ellipse Struct Reference
3GPP TS 23.032 GAD: Universal Geographical Area Description.

`#include <gad.h>`

## Data Fields

int32_t | lat
| Latitude in micro degrees (degrees * 1e6), -90'000'000 (S) . More...
int32_t | lon
| Longitude in micro degrees (degrees * 1e6), -180'000'000 (W) . More...
uint32_t | unc_semi_major
| Uncertainty ellipsoid radius of major axis in millimeters, 0 . More...
uint32_t | unc_semi_minor
| Uncertainty ellipsoid radius of minor axis in millimeters, 0 . More...
uint8_t | major_ori
| Major axis orientation in degrees (DEG), 0 (N) . More...
uint8_t | confidence
| Confidence in percent, 0 = no information, 1..100%, 101..128 = no information. More...

## Field Documentation

## confidence

uint8_t osmo_gad_ell_point_unc_ellipse::confidence

Confidence in percent, 0 = no information, 1..100%, 101..128 = no information.

## lat

int32_t osmo_gad_ell_point_unc_ellipse::lat

Latitude in micro degrees (degrees * 1e6), -90'000'000 (S) .

. 90'000'000 (N).

## lon

int32_t osmo_gad_ell_point_unc_ellipse::lon

Longitude in micro degrees (degrees * 1e6), -180'000'000 (W) .

. 180'000'000 (E).

## major_ori

uint8_t osmo_gad_ell_point_unc_ellipse::major_ori

Major axis orientation in degrees (DEG), 0 (N) .

. 90 (E) .. 179 (SSE).

## unc_semi_major

uint32_t osmo_gad_ell_point_unc_ellipse::unc_semi_major

Uncertainty ellipsoid radius of major axis in millimeters, 0 .

. 18'000'000. Coding of uncertainty is non-linear, use osmo_gad_dec_unc(osmo_gad_enc_unc(val)) to clamp.

## unc_semi_minor

uint32_t osmo_gad_ell_point_unc_ellipse::unc_semi_minor

Uncertainty ellipsoid radius of minor axis in millimeters, 0 .

. 18'000'000. Coding of uncertainty is non-linear, use osmo_gad_dec_unc(osmo_gad_enc_unc(val)) to clamp.

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gad.h